# class Xapian::Value

Ruby wrapper for Xapian::ValueIterator

### Attributes

docid[RW]
value[RW]
valueno[RW]

### Public Class Methods

new(value, valueno, docid) click to toggle source

    # File xapian.rb, line 131
    def initialize(value, valueno, docid)
      @value = value
      @valueno = valueno
      @docid = docid
    end

### Public Instance Methods

==(other) click to toggle source

    # File xapian.rb, line 137
    def ==(other)
      return other.is_a?(Xapian::Value) && other.value == @value && other.valueno == @valueno && other.docid == @docid
    end